Name:          gnome-photos
Summary:       Access, organize and share your photos on GNOME
Version:       3.12.1
Release:       3
URL:           https://live.gnome.org/GnomePhotos

# GNOME Photos itself is GPLv2+, but the bundled libgd is LGPLv2+
License:       GPLv2+ and LGPLv2+
Group:         Graphical desktop/GNOME

Source0:       http://ftp.gnome.org/pub/GNOME/sources/%{name}/3.12/%{name}-%{version}.tar.xz

BuildRequires: desktop-file-utils
BuildRequires: pkgconfig(cairo)
BuildRequires: intltool itstool
BuildRequires: pkgconfig(clutter-1.0) >= 1.11
BuildRequires: pkgconfig(clutter-gtk-1.0) >= 1.3.2
BuildRequires: pkgconfig(exempi-2.0)
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(glib-2.0) >= 2.35.6
BuildRequires: pkgconfig(gnome-desktop-3.0) > 3.7.6
BuildRequires: pkgconfig(goa-1.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(lcms2)
BuildRequires: pkgconfig(babl)
BuildRequires: pkgconfig(gegl-0.2)
BuildRequires: pkgconfig(libexif) >= 0.6
BuildRequires: pkgconfig(librsvg-2.0)
BuildRequires: pkgconfig(tracker-sparql-1.0)
BuildRequires: pkgconfig(libgfbgraph-0.2)
BuildRequires: pkgconfig(grilo-0.2)
BuildRequires: gnome-common

Requires: gegl
Requires: gnome-online-miners

# libgd is not meant to be installed as a system-wide shared library.
# It is just a way for GNOME applications to share widgets and other common
# code on an ad-hoc basis.
Provides: bundled(libgd)


%description
Photos, like Documents, Music and Videos, is one of the core GNOME
applications meant for find and reminding the user about her content.


%prep
%setup -q

%build
%configure2_5x
%make


%install
%makeinstall_std

# Upstream doesn't install with desktop-file-install, so let's check
# FIXME: The desktop file is invalid, sent patch upstream, should be fixed in
# next release
#desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}


%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/glib-2.0/schemas/org.gnome.photos.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_docdir}/%{name}
%{_datadir}/help/*/gnome-photos/*
%{_libexecdir}/gnome-photos-service
%{_datadir}/appdata/org.gnome.Photos.appdata.xml
%{_datadir}/applications/org.gnome.Photos.desktop
%{_datadir}/dbus-1/services/org.gnome.Photos.service
%{_datadir}/gnome-shell/search-providers/org.gnome.Photos.search-provider.ini

%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 3.12.1-3
+ Revision: 62f2798
- MassBuild#440: Increase release tag


